Subject: Re: bug#34517: tmm menubar menu items have no effect on Android

From: Juri Linkov <[email-masked]>
Date: Thu, 28 Feb 2019 23:03:21 +0200

> Maybe instead of completion-base-position we should store the prefix
> and suffix strings, so when you select an entry from *Completions* we
> just clear the minibuffer and replace it with (concat prefix selection
> suffix)?

The prefix and suffix strings might help.  Not sure whether the
following idea will also work, but maybe using markers in the minibuffer
to keep positions of completion base would help.  Inserting text to the
minibuffer will update these markers that could be used to find
completion base in choose-completion.